Summary:        Data validation using Python type hinting
Name:           python-pydantic
Version:        1.10.14
Release:        1%{?dist}

License:        MIT
URL:            https://github.com/pydantic/pydantic
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch3000:      Fix-Python-3.12-test-failures.patch
BuildArch:      noarch

# Specify recursive_guard as kwarg in FutureRef._evaluate
# https://github.com/pydantic/pydantic/pull/9612
#
# Fixes:
#
# TypeError: ForwardRef._evaluate() missing 1 required keyword-only argument:
# 'recursive_guard'
# https://github.com/pydantic/pydantic/issues/9637
Patch3001:      %{url}/commit/464ed49b1f813103a49116476bec75a94492b338.patch

BuildRequires:  python3-devel
# For check phase
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)

%global _description %{expand:
Data validation and settings management using python type hinting.}

%description %{_description}


%package -n     python3-pydantic
Summary:        %{summary}

%description -n python3-pydantic %{_description}


%prep
%autosetup -n pydantic-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires -x email -x dotenv


%build
%pyproject_wheel


# Docs are in MarkDown, and should be added when mkdocs is packaged.

%install
%pyproject_install
%pyproject_save_files pydantic


%check
# Disable mypy plugin tests. We don't use it for downstream packaging.
%pytest -Wdefault --ignore=tests/mypy/test_mypy.py


%files -n python3-pydantic -f %{pyproject_files}
%doc README.md docs/


%changelog
* Fri Nov 22 2024 bbrucezhang <bbrucezhang@tencent.com> - 1.10.14-1
- [Type] security
- [DESC] Fix CVE-2024-3772

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.2-1
- initial build
